# Get Store

> One store (404 outside the key's stores).

Source: https://shopassist.coec.dk/docs/api/reference/stores/get-store · Updated 2026-11-03

`GET /v1/stores/{store_id}`

- Scope: `stores:read`
- Rate limit: 600 requests/min per API key (test keys: 60/min)

One store (`404` outside the key's stores).

## Parameters [#parameters]

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `store_id` | path | `string` | yes |  |

## Example request [#example-request]

```bash
curl -X GET "https://api.shopassist.coec.dk/v1/stores/sto_01j8000000e008000000000000" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"
```

## Response 200 (StorePublic) [#response]

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `capabilities` | `object` | yes | stores.capabilities (02 §17) |
| `catalog_locale` | `string` | yes | 2–35 characters · pattern `^[A-Za-z]{2,3}(-[A-Za-z0-9]{2,8})*$` |
| `created_at` | `string` | yes | format date-time |
| `currency` | `string` | yes | pattern `^[A-Z]{3}$` |
| `id` | `string` | yes | pattern `^sto_[0-9a-hjkmnp-tv-z]{26}$` |
| `name` | `string` | yes |  |
| `platform` | `"shopify" \| "magento2" \| "woocommerce" \| "prestashop" \| "generic"` | yes |  |
| `primary_domain` | `string \| null` | yes |  |
| `status` | `string (enum)` | yes | one of pending_connect, connecting, syncing, active, paused, reconnect_required, disconnected, uninstalled, suspended |
| `timezone` | `string` | yes |  |

```json
{
  "capabilities": {},
  "catalog_locale": "da-DK",
  "created_at": "2026-09-28T10:15:30.123Z",
  "currency": "DKK",
  "id": "sto_01j8000000e008000000000000",
  "name": "string",
  "platform": "shopify",
  "primary_domain": "string",
  "status": "pending_connect",
  "timezone": "string"
}
```

## Errors [#errors]

| Status | Meaning |
| --- | --- |
| 400 | Bad Request ([error codes](/docs/api/errors)) |
| 401 | Unauthorized ([error codes](/docs/api/errors)) |
| 403 | Forbidden ([error codes](/docs/api/errors)) |
| 404 | Not Found ([error codes](/docs/api/errors)) |
| 422 | Unprocessable Content ([error codes](/docs/api/errors)) |
| 429 | Too Many Requests ([error codes](/docs/api/errors)) |
